Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 8e65a6a3ae63588df226e06fac495de1e097bf64)
+++ chapter01/changelog.xml	(revision 3e92f82dcc91645974b08a1a3134349c242184df)
@@ -44,4 +44,22 @@
 -->
     <listitem>
+      <para>2017-01-08</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.9.1.tar.xz. Fixes
+          <ulink url="&lfs-ticket-root;4028">#4028</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to sed-4.3.tar.xz. Fixes
+          <ulink url="&lfs-ticket-root;4025">#4025</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gperf-3.1. Fixes
+          <ulink url="&lfs-ticket-root;4026">#4026</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2017-01-03</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 8e65a6a3ae63588df226e06fac495de1e097bf64)
+++ chapter01/whatsnew.xml	(revision 3e92f82dcc91645974b08a1a3134349c242184df)
@@ -105,7 +105,7 @@
       <para>GMP &gmp-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Gperf-&gperf-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Grep &grep-version;</para>
@@ -195,7 +195,7 @@
       <para>Readline &readline-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Sed &sed-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Shadow &shadow-version;</para>
Index: chapter06/eudev.xml
===================================================================
--- chapter06/eudev.xml	(revision 8e65a6a3ae63588df226e06fac495de1e097bf64)
+++ chapter06/eudev.xml	(revision 3e92f82dcc91645974b08a1a3134349c242184df)
@@ -44,4 +44,8 @@
 
 <screen><userinput remap="pre">sed -r -i 's|/usr(/bin/test)|\1|' test/udev-test.pl</userinput></screen>
+
+    <para>Next, remove an unneeded line that causes a build failure:</para>
+
+<screen><userinput remap="pre">sed -i '/keyboard_lookup_key/d' src/udev/udev-builtin-keyboard.c</userinput></screen>
 
     <para>Next, add a workaround to prevent the /tools directory from being 
Index: general.ent
===================================================================
--- general.ent	(revision 8e65a6a3ae63588df226e06fac495de1e097bf64)
+++ general.ent	(revision 3e92f82dcc91645974b08a1a3134349c242184df)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20170103">
+<!ENTITY version         "SVN-20170108">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20170103-systemd">
+<!ENTITY versiond        "20170108-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 3, 2016">
+<!ENTITY releasedate     "January 8, 2016">
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "8.0">
Index: packages.ent
===================================================================
--- packages.ent	(revision 8e65a6a3ae63588df226e06fac495de1e097bf64)
+++ packages.ent	(revision 3e92f82dcc91645974b08a1a3134349c242184df)
@@ -257,8 +257,8 @@
 <!ENTITY gmp-ch6-sbu "1.2 SBU">
 
-<!ENTITY gperf-version "3.0.4">
-<!ENTITY gperf-size "960 KB">
+<!ENTITY gperf-version "3.1">
+<!ENTITY gperf-size "1188 KB">
 <!ENTITY gperf-url "&gnu;gperf/gperf-&gperf-version;.tar.gz">
-<!ENTITY gperf-md5 "c1f1db32fb6598d6a93e6e88796a8632">
+<!ENTITY gperf-md5 "9e251c0a618ad0824b51117d5d9db87e">
 <!ENTITY gperf-home "&gnu-software;gperf/">
 <!ENTITY gperf-ch6-du "5.4 MB">
@@ -391,10 +391,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "9">
-<!ENTITY linux-patch-version "0">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
-<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
-<!ENTITY linux-size "91,009 KB">
+<!ENTITY linux-patch-version "1">
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
+<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
+<!ENTITY linux-size "91,00i7 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "0a68ef3615c64bd5ee54a3320e46667d">
+<!ENTITY linux-md5 "23d05a4f3ea7bbb093c423a36f3a9fc8">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -523,8 +523,8 @@
 <!ENTITY readline-ch6-sbu "0.1 SBU">
 
-<!ENTITY sed-version "4.2.2">
-<!ENTITY sed-size "1,035 KB">
-<!ENTITY sed-url "&gnu;sed/sed-&sed-version;.tar.bz2">
-<!ENTITY sed-md5 "7ffe1c7cdc3233e1e0c4b502df253974">
+<!ENTITY sed-version "4.3">
+<!ENTITY sed-size "1,140 KB">
+<!ENTITY sed-url "&gnu;sed/sed-&sed-version;.tar.xz">
+<!ENTITY sed-md5 "1957fe58dffa4a4106c1f1d7cc8dee18">
 <!ENTITY sed-home "&gnu-software;sed/">
 <!ENTITY sed-ch5-du "10.0 MB">
